%global __provides_exclude_from ^%{_libdir}/traceevent/plugins

Summary: Library to parse raw trace event formats
Name: libtraceevent
Version: 1.7.2
Release: 4%{?dist}
License: LGPLv2+ and GPLv2+
URL: https://git.kernel.org/pub/scm/libs/libtrace/libtraceevent.git/
Source0: https://git.kernel.org/pub/scm/libs/libtrace/libtraceevent.git/snapshot/libtraceevent-%{version}.tar.gz

BuildRequires:  gcc xmlto asciidoc

%description
libtraceevent is a library to parse raw trace event formats.

%package devel
Summary: Development headers of %{name}
Requires: %{name} = %{version}-%{release}

%description devel
Development headers of %{name}-libs

%prep
%autosetup

%build
MANPAGE_DOCBOOK_XSL=`rpm -ql docbook-style-xsl | grep manpages/docbook.xsl`
%set_build_flags
# Parallel build does not work
make -O -j1 V=1 VERBOSE=1 prefix=%{_prefix} libdir=%{_libdir} MANPAGE_XSL=%{MANPAGE_DOCBOOK_XSL} all doc

%install
%make_install prefix=%{_prefix} libdir=%{_libdir} install doc-install
rm -rf %{buildroot}/%{_libdir}/libtraceevent.a

%files
%license LICENSES/LGPL-2.1
%license LICENSES/GPL-2.0
%{_libdir}/traceevent/
%{_libdir}/libtraceevent.so.%{version}
%{_libdir}/libtraceevent.so.1
%{_mandir}/man3/tep_*.3.*
%{_mandir}/man3/libtraceevent.3.*
%{_mandir}/man3/trace_seq*.3.*
%{_mandir}/man3/kbuffer_*.3.gz
%{_docdir}/%{name}-doc

%files devel
%{_includedir}/traceevent/
%{_libdir}/libtraceevent.so
%{_libdir}/pkgconfig/libtraceevent.pc

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.2-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.2-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.2-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 10 2023 rockerzhu <rockerzhu@tencent.com> - 1.7.2-1
- Upgrade to 1.7.2.

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.3-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 24 2022 Xin Cheng <denisecheng@tencent.com> - 1.6.3-1
- package init.
